<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Javascript</title>
    <script>    
    alert ('Домашнее задание №1')
    </script>
</head>
<body>
<h1>
Домашнее задание с комментариями
</h1>
<div>
<script>
var 
x=6;
y=14;
z=4;
document.write(x+=y-x++*z);

/*
1-x++=6;2-x++*z=6*4=24;3-y-x++*z=14-6*4=-10;3-+=y-x++*z=6+14-6*4=-4
*/
</script>
</div><br>
<div>
<script> 
var x=6;
    y=14;
    z=4
    document.write(z=--x-y*5);
/*
1-y*5=14*5=70;2- z=--x=6-1=5; 3- z=--x-y*5=5-70=-65
*/
</script>
</div><br>
<div>
<script>
 var x=6;
     y=14;
     z=4;
document.write(y/=x+5%z);
/*
1-5%x=5/4=1; 2-x+5%z=1+6=7; 3- y/x, y=y/x=14/7=2
*/
</script>
</div><br>
<div>
<script>
var x=6;
    y=14;
    z=4;
    document.write(z-x+++y*5)
/*
1-y*5=70; 2-x++=6; 3-(-x++)+y*5= -6+70=64; 4- z-((-x++) +y*5)= 4+64=68
*/
</script>
</div><br>
<div>
<script>
var x=6;
    jupiter=6;
    y=14;
    z=4;
    document.write(x=y-x++*z)
/*
1-x++=6; 2-x++*z=6*$=24; 3- y-(x++*z)= 14-24=-10; 4 - x=y=-10
*/
</script>
</div>
</body>
</html>